public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Arthur Zamarin" <arthurzam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-util/ostree/, dev-util/ostree/files/
Date: Fri, 20 Sep 2024 14:32:14 +0000 (UTC)	[thread overview]
Message-ID: <1726842722.ac611942fe4ebd1569b366b39fd2d4cbd5e3982e.arthurzam@gentoo> (raw)

commit:     ac611942fe4ebd1569b366b39fd2d4cbd5e3982e
Author:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Fri Sep 20 14:25:42 2024 +0000
Commit:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Fri Sep 20 14:32:02 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ac611942

dev-util/ostree: add 2024.8, handle -Werror

Closes: https://bugs.gentoo.org/925361
Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>

 dev-util/ostree/Manifest                         |   1 +
 dev-util/ostree/files/ostree-2024.8-Werror.patch |  35 +++++++
 dev-util/ostree/ostree-2024.8.ebuild             | 120 +++++++++++++++++++++++
 3 files changed, 156 insertions(+)

diff --git a/dev-util/ostree/Manifest b/dev-util/ostree/Manifest
index 85fcb80f2d3e..2ac0b3a282d0 100644
--- a/dev-util/ostree/Manifest
+++ b/dev-util/ostree/Manifest
@@ -3,3 +3,4 @@ DIST ostree-2023.2.tar.xz 2081320 BLAKE2B f773bf979b4bc97b9b8f96dc4385745bc386c2
 DIST ostree-2023.3.tar.xz 2075168 BLAKE2B 6e699420a89b36520e60a5682a421fd8f10eb20702abe6af97be9ee78a04be98e8d164157d29726de9e63b869051f7e60f199776ea3d959d4f0ad4165ff780c6 SHA512 af3b80d55e15b515e860ab0ee5f061f1a4d649b21441d5cde66e71ff4349ef480565cb795838ebce2f42784d53e349c2443159d9ee452277001d930ba814fe40
 DIST ostree-2023.5.tar.xz 2115184 BLAKE2B ac1fa6764e1b7e5cd6656f2977b2605e3d2c612e6ee426fc8dbd7c84d6aebe72159943d7c2e53a2898aee6c085814228df772edc35b93daa23cb14bbb5642a6f SHA512 0bb19f199344d8db7299cf710f2ba0b2657cdcb5b1fc6d85446cef9538b069e470b47fc0c2c1029e12b8b9adb978f32a6f44f48949ff5c97a01051a425a9f2d5
 DIST ostree-2024.3.tar.xz 2141876 BLAKE2B 5a2639b99697eaf3f0a94d619c5121cb095bd21813af800041a9a4a077240ed4508c96fb67387f850a42bc4058c99d2d260ff66b0cee2fc89df64dae0b9b0508 SHA512 717e74bdaffe839acad68169d4a0290b3d81f2fb31329d02c507168b00b0b02928e2bb29c8c8fcef65a6581b98d9bad991adcde1579597b4be94822546c66573
+DIST ostree-2024.8.tar.xz 2107348 BLAKE2B 933f85b122b92cf8656698bbe7cfbce8a918aca0e779185049ed6c808f194c8fb9163a08b6cf1d6b368e2bcb0f45d434d83f243fbebf06a86afefa01247dab71 SHA512 6faed3daebce443134141bbf98add459c6f0c8239cc0e050cf2517d1127f3fd6aededd4af5d8400f869683b96aea2abb93bab8869dbf2f9a4ba02324c3005e5d

diff --git a/dev-util/ostree/files/ostree-2024.8-Werror.patch b/dev-util/ostree/files/ostree-2024.8-Werror.patch
new file mode 100644
index 000000000000..6843142000cf
--- /dev/null
+++ b/dev-util/ostree/files/ostree-2024.8-Werror.patch
@@ -0,0 +1,35 @@
+--- a/configure.ac
++++ b/configure.ac
+@@ -29,32 +29,6 @@ dnl automake variables we want in pkg-config
+ pkglibexecdir=$libexecdir/$PACKAGE
+ AC_SUBST(pkglibexecdir)
+ 
+-AS_IF([echo "$CFLAGS" | grep -q -E -e '-Werror($| )'], [], [
+-CC_CHECK_FLAGS_APPEND([WARN_CFLAGS], [CFLAGS], [\
+-  -pipe \
+-  -Wall \
+-  -Werror=shadow \
+-  -Werror=empty-body \
+-  -Werror=strict-prototypes \
+-  -Werror=missing-prototypes \
+-  -Werror=implicit-function-declaration \
+-  "-Werror=format=2 -Werror=format-security -Werror=format-nonliteral" \
+-  -Werror=pointer-arith -Werror=init-self \
+-  -Werror=missing-declarations \
+-  -Werror=return-type \
+-  -Werror=switch \
+-  -Werror=overflow \
+-  -Werror=int-conversion \
+-  -Werror=parentheses \
+-  -Werror=undef \
+-  -Werror=incompatible-pointer-types \
+-  -Werror=misleading-indentation \
+-  -Werror=missing-include-dirs  \
+-  -Wstrict-aliasing=2 \
+-  -Werror=unused-result \
+-])])
+-AC_SUBST(WARN_CFLAGS)
+-
+ AC_ARG_ENABLE(sanitizers,
+               AS_HELP_STRING([--enable-sanitizers],
+                              [Enable ASAN and UBSAN (default: no)]),,

diff --git a/dev-util/ostree/ostree-2024.8.ebuild b/dev-util/ostree/ostree-2024.8.ebuild
new file mode 100644
index 000000000000..73e762df3dd1
--- /dev/null
+++ b/dev-util/ostree/ostree-2024.8.ebuild
@@ -0,0 +1,120 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit autotools systemd tmpfiles
+
+DESCRIPTION="Operating system and container binary deployment and upgrades"
+HOMEPAGE="https://ostreedev.github.io/ostree/"
+SRC_URI="
+	https://github.com/ostreedev/ostree/releases/download/v${PV}/lib${P}.tar.xz
+		-> ${P}.tar.xz
+"
+S="${WORKDIR}/lib${P}"
+
+LICENSE="LGPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc64 ~riscv ~x86"
+IUSE="archive +curl doc dracut gnutls +gpg grub +http2 introspection libmount selinux sodium ssl +soup systemd zeroconf"
+RESTRICT="test"
+REQUIRED_USE="
+	dracut? ( systemd )
+	http2? ( curl )
+"
+
+RDEPEND="
+	app-arch/xz-utils
+	dev-libs/glib:2
+	sys-fs/fuse:3
+	sys-libs/zlib
+	archive? ( app-arch/libarchive:= )
+	curl? ( net-misc/curl )
+	dracut? ( sys-kernel/dracut )
+	gpg? (
+		app-crypt/gpgme:=
+		dev-libs/libgpg-error
+	)
+	grub? ( sys-boot/grub:2= )
+	introspection? ( dev-libs/gobject-introspection )
+	libmount? ( sys-apps/util-linux )
+	selinux? ( sys-libs/libselinux )
+	sodium? ( >=dev-libs/libsodium-1.0.14:= )
+	soup? ( net-libs/libsoup:3.0 )
+	ssl? (
+		gnutls? ( net-libs/gnutls:= )
+		!gnutls? (
+			dev-libs/openssl:0=
+		)
+	)
+	systemd? ( sys-apps/systemd:0= )
+	zeroconf? ( net-dns/avahi[dbus] )
+"
+DEPEND="${RDEPEND}
+	app-text/docbook-xml-dtd:4.2
+	app-text/docbook-xsl-stylesheets
+	doc? (
+		dev-util/gtk-doc
+		app-text/docbook-xml-dtd:4.3
+	)
+"
+BDEPEND="
+	dev-libs/libxslt
+	dev-util/glib-utils
+	sys-devel/flex
+	sys-devel/bison
+	virtual/pkgconfig
+"
+
+PATCHES=(
+	"${FILESDIR}"/${PN}-2023.3-dont-force-clang-introspection.patch
+	"${FILESDIR}"/${PN}-2024.8-Werror.patch
+)
+
+src_prepare() {
+	default
+	eautoreconf
+}
+
+src_configure() {
+	# Needs Bison (bug #884289)
+	unset YACC
+
+	local econfargs=(
+		--enable-man
+		--enable-shared
+		--with-grub2-mkconfig-path=grub-mkconfig
+		--with-modern-grub
+		$(use_with archive libarchive)
+		$(use_with curl)
+		$(use_with dracut dracut yesbutnoconf) #816867
+		$(use_enable doc gtk-doc)
+		$(usex introspection --enable-introspection={,} yes no)
+		$(use_with gpg gpgme)
+		$(use_enable http2)
+		$(use_with selinux )
+		$(use_with soup soup3)
+		--without-soup # libsoup:2.4
+		$(use_with libmount)
+		$(use ssl && usex gnutls --with-crypto=gnutls --with-crypto=openssl)
+		$(use_with sodium ed25519-libsodium)
+		$(use_with systemd libsystemd)
+		$(use_with zeroconf avahi)
+	)
+
+	if use systemd; then
+		econfargs+=( --with-systemdsystemunitdir="$(systemd_get_systemunitdir)" )
+	fi
+
+	unset ${!XDG_*} #657346 g-ir-scanner sandbox violation
+	econf "${econfargs[@]}"
+}
+
+src_install() {
+	default
+	find "${D}" -name '*.la' -type f -delete || die
+}
+
+pkg_postinst() {
+	tmpfiles_process ostree-tmpfiles.conf
+}


             reply	other threads:[~2024-09-20 14:32 UTC|newest]

Thread overview: 6+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-09-20 14:32 Arthur Zamarin [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-01-12 17:17 [gentoo-commits] repo/gentoo:master commit in: dev-util/ostree/, dev-util/ostree/files/ Sam James
2024-09-20  6:15 Sam James
2023-06-23  5:34 Sam James
2023-05-10  0:29 Sam James
2022-08-23 23:09 Sam James

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1726842722.ac611942fe4ebd1569b366b39fd2d4cbd5e3982e.arthurzam@gentoo \
    --to=arthurzam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox